> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Store information (email, address, metadata)

> Update Store Information



## OpenAPI

````yaml patch /{storeId}
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}:
    patch:
      tags:
        - Store
      summary: Update Store information (email, address, metadata)
      description: Update Store Information
      parameters:
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreUpdateBody'
              type: object
      responses:
        '200':
          description: Store Updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Store'
        '403':
          description: Invalid Api Key
        '422':
          description: Data error
        '500':
          description: Internal Server Error
components:
  schemas:
    StoreUpdateBody:
      properties:
        email:
          type: string
          description: Email associated with the store
          example: test@noreply.com
        mobile:
          type: string
          description: Mobile number associated with the store
          example: 323-232-2323
        logo:
          type: string
          description: Logo which appears on the website
          example: https://images.aasaan.shop/stores/logo/logo_1684500490812.png
        favicon:
          type: string
          description: Favicon which appears on the website
          example: https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png
        metaData:
          type: object
          description: >-
            any additional metadata that was stored as a part of this store
            creation
        workingHours:
          type: array
          description: >-
            Gives the working hours on a given day. If you are specifying this -
            you will have to provide data for all seven days.
          items:
            type: object
            properties:
              timeZone:
                type: string
                description: timezone for the working hours
                example: EDT
              days:
                type: array
                description: information about times for a specific day
                items:
                  type: object
                  properties:
                    day:
                      type: string
                      description: day of the week
                      example: Monday
                    holiday:
                      type: string
                      description: specify a reason if this particular day is a holiday
                      example: Independence Day, Sunday, Monday
                    times:
                      type: array
                      description: >-
                        various times during the day when the store is open on
                        the specified time zone
                      items:
                        type: object
                        properties:
                          startTime:
                            type: string
                            description: start time for this period
                            example: 10:00 AM
                          endTime:
                            type: string
                            description: end time for this period
                            example: 15:00 PM
        address:
          type: object
          description: Address of the store
          properties:
            aptNo:
              type: string
              description: apt or door number of the store address
              example: 123A 345
            line1:
              type: string
              description: First line of the address
              example: Central Park East
            line2:
              type: string
              description: Second line of the address
              example: Central Park East
            city:
              type: string
              description: Name of the city
              example: New York
            state:
              type: string
              description: Name of the state
              example: New York
            zipcode:
              type: string
              description: ZipCode associated with the address
              example: 10025
            country:
              type: string
              description: Name of country of the associated address
              example: USA
        seo:
          type: object
          description: Seo of the store
          properties:
            title:
              type: string
              description: seo title for the store
              example: seo title
            description:
              type: string
              description: seo description for the store
              example: seo description
            image:
              type: string
              description: seo image for the store
              example: >-
                https://images.lightbooks-dev.io/stores/automationtest7946886/seo/seo_1678560927290.jpeg
    Store:
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the resource that was used to create this
            store
          example: store-id-1
        storeName:
          type: string
          description: Name
          example: lunchbox
        email:
          type: string
          description: Email associated with the store
          example: test@noreply.com
        currency:
          type: string
          description: Base currency associated with this store
          example: USD
        storeUrl:
          type: string
          description: The full store url that of the store that was created
          example: USD
        metaData:
          type: object
          description: >-
            any additional metadata that was stored as a part of this store
            creation
        address:
          type: object
          description: Address of the store
          properties:
            aptNo:
              type: string
              description: apt or door number of the store address
              example: 123A 345
            line1:
              type: string
              description: First line of the address
              example: Central Park East
            line2:
              type: string
              description: Second line of the address
              example: Central Park East
            city:
              type: string
              description: Name of the city
              example: New York
            state:
              type: string
              description: Name of the state
              example: New York
            zipcode:
              type: string
              description: ZipCode associated with the address
              example: 10025
            country:
              type: string
              description: Name of country of the associated address
              example: USA

````